BS-26. Find Peak Element-II | Binary Search

แชร์
ฝัง
  • เผยแพร่เมื่อ 9 ก.พ. 2025
  • Problem Link: bit.ly/3Ckb4Rb
    Please watch part-1: • BS-9. Find Peak Element
    Notes/C++/Java/Python codes:
    We have solved the problem, and we have gone from brute force and ended with the most optimal solution. Every approach's code has been written in the video itself. Also, we have covered the algorithm with intuition.
    Full Course: bit.ly/tufA2ZYt
    You can follow me across social media, all my handles are below:
    Linkedin/Instagram/Telegram: linktr.ee/take...
    0:00 Introduction of Course

ความคิดเห็น • 149

  • @iammysterious-ud9cf
    @iammysterious-ud9cf ปีที่แล้ว +214

    Striver..... PLEASE CONTINUE A TO Z DSA Course....From Step 5(strings) , it is incomplete(no videos for the questions)... Your videos are very useful in intuition building and finding approach... PLEASE DONT LEAVE US IN THE MIDDLE😢😢😢...I hope you respond to the requests for the guys like me..

  • @kathakalisaha9735
    @kathakalisaha9735 11 หลายเดือนก่อน +46

    Those who watches your videos completely will never say you use cpp , they are the ones who dont watch the intuition part, directly jump into the code

  • @saibingi6980
    @saibingi6980 ปีที่แล้ว +66

    I request you to please make videos in Bit Manipulation, Heaps, Strings, and Disjoint-set in the upcoming sessions.

    • @godson200
      @godson200 ปีที่แล้ว +5

      He already has about 10 videos on disjoint set in the graph series. Maybe that can help.

    • @rekhabisht6709
      @rekhabisht6709 ปีที่แล้ว +9

      Phle itna khatm krle

    • @dumpster-jackson
      @dumpster-jackson 7 หลายเดือนก่อน

      @@rekhabisht6709 Ab??

  • @LemesaElias
    @LemesaElias 5 หลายเดือนก่อน +4

    Even if you didn't provide the pseudo code and just went to implement the C++ code, I don't think it matters because it's actually your explanation of the solutions that actually helps anyone that considers him/herself a problem solver or anyone that's learning DSA. And as someone who uses/used multiple languages, I think given the explanation , any code from any programming language is pretty much understandable for someone that knows at least one programming language.

    • @divyanshusingh6008
      @divyanshusingh6008 3 หลายเดือนก่อน

      Yup , thats why i dont even watch his pseuodo code , because i also consider this as a cheating

  • @sundaramkumarsingh8448
    @sundaramkumarsingh8448 ปีที่แล้ว +7

    clear cut explanation. Thank you Striver

  • @zerobear-xf7qh
    @zerobear-xf7qh 6 หลายเดือนก่อน +6

    nice solution i dont think i would come up with this solution on my own

  • @ritikadhangar2979
    @ritikadhangar2979 4 หลายเดือนก่อน +3

    Sir I can't express my job while taking your lecture. before that I am scared of DSA but now I enjoy due to you thankyou so muchhh

  • @ayushagarwal5271
    @ayushagarwal5271 7 หลายเดือนก่อน +6

    This man is a genius!

  • @cenacr007
    @cenacr007 ปีที่แล้ว +20

    Array and Strings are the most important for interviews, please make a playlist on strings.

  • @tanvirkekan6111
    @tanvirkekan6111 11 หลายเดือนก่อน +3

    This is an interesting soln:
    x,y = 0, len(mat[0]) - 1
    while x < len(mat) or y >= 0:
    if x + 1 < len(mat) and mat[x + 1][y] > mat[x][y]:
    x += 1
    elif y - 1 >= 0 and mat[x][y - 1] > mat[x][y]:
    y -= 1
    else:
    break
    return [x, y]

    • @TarunGautam-r7g
      @TarunGautam-r7g 5 หลายเดือนก่อน

      good

    • @abdulrehmanamer4252
      @abdulrehmanamer4252 4 หลายเดือนก่อน

      [
      [13,10],
      [12,11]
      ]
      Your code fails on this testcase

  • @securelyinsaycure
    @securelyinsaycure 9 หลายเดือนก่อน

    Striver you are a godsend to so many of us! Thank you 🙏

  • @LearnwithEase20
    @LearnwithEase20 ปีที่แล้ว +1

    please make videos on string and other topic it is much needed no one explains like you!🙂

  • @iammysterious-ud9cf
    @iammysterious-ud9cf ปีที่แล้ว +9

    Please Start Linked Lists

  • @utkarshtrivedi9866
    @utkarshtrivedi9866 8 หลายเดือนก่อน +1

    Understood, even just looking at pseudo code, I was able to code it myself.

  • @smitj5404
    @smitj5404 2 หลายเดือนก่อน

    JUST WOW! SO GREAT INTUITION BUILDING, MUCH LOVE TO YOUR WORK SIR :)

  • @stith_pragya
    @stith_pragya 11 หลายเดือนก่อน +1

    Thank You Much for this wonderful video..........🙏🏻🙏🏻🙏🏻🙏🏻🙏🏻🙏🏻

  • @anonymous-ms2en
    @anonymous-ms2en 7 หลายเดือนก่อน +1

    love you striver ,clear explaination

  • @adilkevin6220
    @adilkevin6220 10 หลายเดือนก่อน +2

    ARTICLE column is empty for this problem. Please attach it.

  • @JothiprakashThangaraj
    @JothiprakashThangaraj 6 หลายเดือนก่อน

    sudo code is sufficient for any developer to write code in any language , understood thanks a lot !!

  • @shwetachoudhary9003
    @shwetachoudhary9003 3 หลายเดือนก่อน +1

    Sir plz complete this series🥺🥺 i have learned a lot from this series so plz don't leave me in middle🙏🏻🥺

  • @jeehub041
    @jeehub041 ปีที่แล้ว +3

    What an approach mind blown 🙌🙌

  • @AshishSingh-he2qo
    @AshishSingh-he2qo 6 หลายเดือนก่อน +1

    Understood 🎉🎉

  • @GeetainSaar
    @GeetainSaar 6 หลายเดือนก่อน

    your skin glowing in whole video

  • @Fe-ironman
    @Fe-ironman 3 หลายเดือนก่อน +1

    finally didn't understood one of your videos lol....understood all of the rest in series one remaining tho

  • @JagadeeswarN-ur7of
    @JagadeeswarN-ur7of 3 หลายเดือนก่อน

    Great Explanation!! Thanks!!

  • @harshit.53
    @harshit.53 10 หลายเดือนก่อน +2

    i don't understand why people complain about only using cpp...first of all he discusses the idea behind the code and then writes a simple pseudo code...secondly, even if he uses cpp, any good coder can easily convert that code into any other language, maybe in other languages the function name and syntax is different, so u just need to use the functions provided by ur language

  • @shivamdubey3798
    @shivamdubey3798 ปีที่แล้ว +2

    Bhaiya please video continue to upload Kara Karo mera ye week topic haa🙏🙏

  • @rahulgoel7652
    @rahulgoel7652 11 หลายเดือนก่อน +2

    I am unsure if first method would have O(mn *4) TC. You are traversing the matrix once, i.e. O(mn). For each element, checking the neighbors is constant time, so it wont be 4 times the number of elements

    • @tusharyadav5874
      @tusharyadav5874 5 หลายเดือนก่อน

      We will say it as O(m*n*4). So thats why he said we can we can slightly improve this by just finding the largest element in matrix . Then will be not using that 4 .

    • @rahulgoel7652
      @rahulgoel7652 5 หลายเดือนก่อน

      @@tusharyadav5874 I am sorry but I didn't understand what you wrote.

    • @harshit6444
      @harshit6444 หลายเดือนก่อน

      @@rahulgoel7652 by checking surronding element , each element in matrix in worst case will be visited by 4 times so , TC will be 4*mn

  • @amanpatel6203
    @amanpatel6203 ปีที่แล้ว

    long awaited

  • @vikassinghbisht7305
    @vikassinghbisht7305 10 หลายเดือนก่อน

    striver you are just too good

  • @swagcoder
    @swagcoder ปีที่แล้ว +1

    For this problem, in leetcode , it’ll fail one test case where there are multiple peaks in the same row, that one is different scenario though, in this problem it is assumed that there will be only one peak per row , because you can’t eliminate directly in case of multiple peaks.

    • @takeUforward
      @takeUforward  ปีที่แล้ว +11

      this works for it also, because even if it has multiple peaks, it will find ,watch the first video to understand why it works

    • @swagcoder
      @swagcoder ปีที่แล้ว +3

      Thanks for replying Stiver, Understood

  • @MJBZG
    @MJBZG 7 หลายเดือนก่อน +1

    didn't really understand but will try more

  • @nishantsatere9350
    @nishantsatere9350 8 หลายเดือนก่อน

    understoddddddddd

  • @NazeerBashaShaik
    @NazeerBashaShaik 9 หลายเดือนก่อน

    Understood, thank you.

  • @anusmitahait2329
    @anusmitahait2329 ปีที่แล้ว

    Problem seemed so intimidating at the begining, later on was simple variation of peak.

  • @sidharthsharma341
    @sidharthsharma341 ปีที่แล้ว +4

    What are the upcoming topics?after this

  • @viveksoni3269
    @viveksoni3269 8 หลายเดือนก่อน

    Very Nice!!!!

  • @ddevarapaga5134
    @ddevarapaga5134 7 หลายเดือนก่อน

    Understood brother

  • @dhruvdonsahu9972
    @dhruvdonsahu9972 หลายเดือนก่อน +1

    i nearly did it on my own , only failed in the case of multiple peaks :(

  • @hashcodez757
    @hashcodez757 ปีที่แล้ว

    Understood!!

  • @vcfirefox
    @vcfirefox 3 หลายเดือนก่อน

    superb

  • @DeadPoolx1712
    @DeadPoolx1712 5 หลายเดือนก่อน

    UNDERSTOOD;

  • @vishious14
    @vishious14 ปีที่แล้ว

    Understoood !!!!!

  • @momentcoder
    @momentcoder 2 หลายเดือนก่อน

    Understood 😀

  • @RitikaMajumdar__F
    @RitikaMajumdar__F 11 หลายเดือนก่อน

    bhaiya the java cpp notes's link is not given in the description. Please do share it.

  • @DeepakPatel-d5v
    @DeepakPatel-d5v 9 หลายเดือนก่อน

    Thanks a lot Bhaiya

  • @VishalKumar-uk5uc
    @VishalKumar-uk5uc ปีที่แล้ว

    Ek month wait Kiya ek video ke liye

  • @mahimagautam1810
    @mahimagautam1810 ปีที่แล้ว +3

    class Solution {
    public int findMaxIndex(int[][] mat,int mid,int n) {
    int maxi = -1;
    int ind = -1;
    for (int i = 0; i < n; i++) {
    if (mat[i][mid] > maxi) {
    maxi = mat[i][mid];
    ind = i;
    }
    }
    return ind;
    }
    public int[] findPeakGrid(int[][] mat) {
    int ans[] = {-1,-1};
    int n = mat.length;
    int m = mat[0].length;
    int low =0;
    int high = m-1;
    while(low=0 ? mat[index][mid-1]:-1;
    int right = mid+1left && mat[index][mid]>right){
    return new int[]{index, mid};
    }
    else if (mat[index][mid]

  • @gugulothsrilakshmi8729
    @gugulothsrilakshmi8729 ปีที่แล้ว +1

    written article not there in description

  • @sanketatmaram
    @sanketatmaram 5 หลายเดือนก่อน

    understood!

  • @binarybardic4667
    @binarybardic4667 ปีที่แล้ว

    Thanks a lot......!

  • @Learnprogramming-q7f
    @Learnprogramming-q7f ปีที่แล้ว

    Thank you Bhaiya

  • @chandandasari6351
    @chandandasari6351 ปีที่แล้ว +1

    bro plzz make a videos on string problems it was missed in play list bro strivers a to Z sheet plzz upload videos

  • @AbdulRehman-ee8zc
    @AbdulRehman-ee8zc ปีที่แล้ว

    sir khan thay aap
    aap hi k lecture ka intizar tha

  • @daniyalhussain5231
    @daniyalhussain5231 ปีที่แล้ว

    Solution in C++:
    class Solution {
    public:
    int findMaxIndex(vector&mat,int col,int rows)
    {
    int maxi=INT_MIN;
    int maxIndex;
    for(int i=0;imaxi)
    {
    maxi=mat[i][col];
    maxIndex=i;
    }
    }
    return maxIndex;
    }
    vector findPeakGrid(vector& mat)
    {
    vectorans(2);
    int rows=mat.size();
    int cols=mat[0].size();
    int low=0,high=cols-1;
    while(low=0)left=mat[maxElementRowIndex][mid-1];//edge case
    int right=-1;
    if(mid+1left&&curr>right)
    {
    ans[0]=maxElementRowIndex;
    ans[1]=mid;
    return ans;
    }
    else if(curr

  • @soumiyamuthuraj3516
    @soumiyamuthuraj3516 6 หลายเดือนก่อน

    awesome

  • @nayankhuman1043
    @nayankhuman1043 6 หลายเดือนก่อน

    Understood :)

  • @VarshaSingh-hi2sb
    @VarshaSingh-hi2sb 5 หลายเดือนก่อน

    Can there be a case where the part which have omitted peak element was present there and not where we are heading towards?

    • @brp3522
      @brp3522 5 หลายเดือนก่อน

      11:35 This is the part that answers your question

  • @jtx-channel
    @jtx-channel 7 หลายเดือนก่อน

    Just a little doubt, when you say we can find the maximum element in the matrix and it will surely be the peak as well. What about the fact that there can be two maximums in the matrix and both lie adjacent to each other? And the question says that the element should be strictly greater than its adjacents......

    • @ShanmugaSundaramS-o6i
      @ShanmugaSundaramS-o6i 5 หลายเดือนก่อน

      same elements wont be adjacent to each other in question

  • @mithileshkumbhar7968
    @mithileshkumbhar7968 10 หลายเดือนก่อน

    Striver......The link to this problem on your page is not opening to view the code and intuition.

  • @anand_yv
    @anand_yv ปีที่แล้ว

    Understood

  • @SurajYadav-bt9jb
    @SurajYadav-bt9jb 7 หลายเดือนก่อน

    I have one doubt regarding BS that it can apply on sorted ones, but here 2D Matrix is not sorted so how can we apply BS on it , please resolve my confusion

  • @oyeshxrme
    @oyeshxrme 6 หลายเดือนก่อน

    thanks bhaiya

  • @guttulavybhav1030
    @guttulavybhav1030 7 หลายเดือนก่อน

    striver please upload videos on strings it is difficult to go to others videos....

  • @AYUSHNIGAM97
    @AYUSHNIGAM97 4 หลายเดือนก่อน

    Can't we find the vertical peak with Binary search as well and reduce complexity to O(logn * logm)?

  • @lokeshnegi5051
    @lokeshnegi5051 4 หลายเดือนก่อน

    even if you are writing the code in cpp what's wrong in that it's so easy nowadays to convert it to any language of your choice with so many AI tools, the main part is the intuition

  • @surbhirathore._
    @surbhirathore._ 8 หลายเดือนก่อน

    Done!!!

  • @learn_in_shorts
    @learn_in_shorts ปีที่แล้ว

    Bhaiya mey aapka binary tree ka playlist se tree padh rha hu but jab aap iss video mey jaise padhete hai to sab samjh aata hai but tree wala mey aisa kuch samjh nahi aa rha hai jab jab aap board pr padhye jab tak to sab samjh aaya but uske baad kuch jyada nahi aaya 😊 plz bhaiya aap iss video ki format mey videos banaya kariye plz and do something trees also

  • @TheAI-Tutor
    @TheAI-Tutor 6 หลายเดือนก่อน

    But instead of traversing vertically, can't we just Traverse horizontally and find the maximum element to do STL and then check for the upper and lower element? and discard the upper half/lower half then?

  • @ashish7604
    @ashish7604 4 หลายเดือนก่อน

    don't you think if we keep udpating ele with bigger ele found then it will take O(m+n) time better than current time comp

  • @viratlover6206
    @viratlover6206 ปีที่แล้ว

    understood

  • @GeetainSaar
    @GeetainSaar 6 หลายเดือนก่อน +1

    give its article also

  • @Gokul-gkl
    @Gokul-gkl 2 หลายเดือนก่อน

    is it a sorted matrix?

  • @vijeshsshetty
    @vijeshsshetty ปีที่แล้ว

    linked list series plss

  • @prikshit_sharma4071
    @prikshit_sharma4071 ปีที่แล้ว +2

    Bhaiya linkedlist start krdo iske badh

  • @codeman3828
    @codeman3828 ปีที่แล้ว

    Undertsood

  • @ranjeetkumaryadav2967
    @ranjeetkumaryadav2967 5 หลายเดือนก่อน

    bhaiya please upload article of this problem

  • @vandanabarsaiyan8753
    @vandanabarsaiyan8753 14 วันที่ผ่านมา

    I did not understand if max

    • @Ankit-mg3ge
      @Ankit-mg3ge 3 วันที่ผ่านมา

      Yes, why will you eliminate the element which is greater than the current one i.e. if left element > max then shift high to mid-1 bcz you have to find the peak which should be greater

    • @vandanabarsaiyan8753
      @vandanabarsaiyan8753 2 วันที่ผ่านมา +1

      @Ankit-mg3ge got it, thanks for explaining

  • @shaiksoofi3741
    @shaiksoofi3741 8 หลายเดือนก่อน

    tq

  • @saketjaiswalSJ
    @saketjaiswalSJ ปีที่แล้ว +3

    linked list striver bhaiya

  • @t3ch_r4id
    @t3ch_r4id 6 หลายเดือนก่อน

    class Solution {
    public:
    int maxElement(vector& arr,int n,int m, int col){
    int index = -1;
    int maxele = INT_MIN;
    for (int i = 0; i < m; i++){
    if(arr[i][col] > maxele){
    maxele = arr[i][col];
    index = i;
    }
    }
    return index;
    }
    vector findPeakGrid(vector& mat){
    //n no of cloumns are there
    int n = mat.size();//size of each row
    //m no of rows are there
    int m = mat[0].size();//size of each column
    int low = 0, high = n - 1;
    while(low = 0)? mat[row][mid - 1] : -1;
    int right = (mid+1 < n)? mat[row][mid + 1] : -1;
    if(left < mat[row][mid] && mat[row][mid] > right){
    return {row, mid};
    }
    else if(left > mat[row][mid]){//cut out right part
    high = mid - 1;
    }
    else{//cut out the left part
    low = mid + 1;
    }
    }
    return {-1, -1};
    }
    }; can anyone find the mistake please🙏 it's showing runtime error (something overflow) for a very large input matrix

    • @roshankoshy6141
      @roshankoshy6141 5 หลายเดือนก่อน

      high = n - 1 it is high = m- 1

  • @lakshsinghania
    @lakshsinghania 5 หลายเดือนก่อน

    bhaiya i did convert from 2d array to 1d array but only 45/55 test cases is passing pls help
    class Solution {
    public:
    vector findPeakGrid(vector& matrix) {
    // binary search on answer
    int m = matrix.size();
    int n = matrix[0].size();
    // tc = o(log(m*n))
    int start = 0;
    // created an imaginery 1D array of size from 0 to n*m-1
    int end = (n * m) - 1;
    while (start 0) ? matrix[i - 1][j] : -1;
    int bottom = (i < m - 1) ? matrix[i + 1][j] : -1;
    int left = (j > 0) ? matrix[i][j - 1] : -1;
    int right = (j < n - 1) ? matrix[i][j + 1] : -1;
    if (mid > start && mid < n * m - 1) {
    if (matrix[i][j] > top && matrix[i][j] > bottom &&
    matrix[i][j] > left && matrix[i][j] > right) {
    return {i, j}; // Peak element found
    }
    // If left or top neighbor is greater, move to the left or top
    // half
    if (left > matrix[i][j] || top > matrix[i][j]) {
    end = mid - 1;
    }
    else {
    // Else move to the right or bottom half
    start = mid + 1;
    }
    }
    else if (mid == start) {
    // Only move right if there's no left neighbor
    if (matrix[i][j] > right && matrix[i][j] > bottom) {
    return {i, j};
    }
    else {
    start = mid + 1;
    }
    }
    else if(mid == end){
    // Only move left if there's no right neighbor
    if (matrix[i][j] > left && matrix[i][j] > top) {
    return {i, j};
    }
    else {
    end = mid - 1;
    }
    }
    }
    return {-1, -1};
    }
    };

  • @crazybro4383
    @crazybro4383 9 หลายเดือนก่อน

    8:00

  • @rahulhembram4519
    @rahulhembram4519 ปีที่แล้ว

    UnderStood

  • @AmiteshRanjan24
    @AmiteshRanjan24 6 วันที่ผ่านมา

    ''us"

  • @mohitsinghnitjsr2652
    @mohitsinghnitjsr2652 ปีที่แล้ว

    how many videos more to come

  • @dayashankarlakhotia4943
    @dayashankarlakhotia4943 ปีที่แล้ว +1

    public class solution {
    public static int []find Peek Grid(int [][]grid){
    int n=grid. length,m=grid [0].length;
    int l=0,r=m-1;
    while (lgrid [idx][mid +1]){
    r=mid;
    }else {
    l=mid-1;
    }
    return new int []{l,find max(grid [l])};
    }
    public static int find max(int []col){
    int index =0,n=col length;
    for(int i=0;icol[index])
    index =i;
    }
    return index;
    }
    };
    🎉❤

  • @charuprabha9696
    @charuprabha9696 7 หลายเดือนก่อน

    🙇‍♀🙇‍♀🙇‍♀🙇‍♀🙇‍♀🙇‍♀

  • @AkashBisht-cq3ys
    @AkashBisht-cq3ys 7 หลายเดือนก่อน

    1st july mon 9.13

  • @shivamkumar-hz7jt
    @shivamkumar-hz7jt ปีที่แล้ว

    strings ke video upload krdo pls

  • @infinity2creation551
    @infinity2creation551 ปีที่แล้ว

    You are calling col ko row ...

  • @PrinceKumar-ef1xf
    @PrinceKumar-ef1xf 8 หลายเดือนก่อน +1

    vector findPeakGrid(vector& mat) {
    int startCol = 0, endCol = mat[0].size()-1;
    while(startCol = startCol+1 && mat[maxRow][midCol-1] > mat[maxRow][midCol];
    bool rightIsBig = midCol mat[maxRow][midCol];
    if(!leftIsBig && !rightIsBig) return vector{ maxRow, midCol};
    else if(rightIsBig) startCol = midCol+1;
    else endCol = midCol-1;
    }
    return vector{-1,-1};
    }

  • @PriyashiChoudhary-l5k
    @PriyashiChoudhary-l5k 7 หลายเดือนก่อน

    Jeetu bhaiya equivalent

  • @dhakadkumman4239
    @dhakadkumman4239 6 หลายเดือนก่อน

    100th comment of video

  • @Lucifer0872
    @Lucifer0872 ปีที่แล้ว

    Biltu kaka Zindabad

  • @cenacr007
    @cenacr007 ปีที่แล้ว

    us

  • @AvaneeshSrivastava-lm5vj
    @AvaneeshSrivastava-lm5vj ปีที่แล้ว

    understood. thank you. you should sleep a bit more.

  • @RAJPATEL-ir7ly
    @RAJPATEL-ir7ly 7 หลายเดือนก่อน

    O(n+m) BFS
    class Solution {
    public:
    vector findPeakGrid(vector& mat) {

    int i = 0 ;
    int j = 0 ;
    int n = mat.size() ;
    int m = mat[0].size() ;
    while(true){

    int flag = 0 ;
    vector coordinates = {{1,0} , {0,1} , {-1,0} , {0,-1}} ;
    int maxi= -1 ;
    int newRow =0 ;
    int newCol = 0 ;
    for(auto coordinate : coordinates){
    int x = i+coordinate.first ;
    int y = j+coordinate.second ;
    if(x>=0 && y>=0 && x

  • @adityauditsingh5986
    @adityauditsingh5986 ปีที่แล้ว +2

    first view xD

  • @ishangujarathi10
    @ishangujarathi10 ปีที่แล้ว +1

    why am i getting a runtime error when i submit the solution on leetcode? @striver??

    • @ajithc5505
      @ajithc5505 ปีที่แล้ว +1

      int left = mid-1>=0 ? mat[index][mid-1]:-1;
      int right = mid+1

    • @tejaswaniguttula5961
      @tejaswaniguttula5961 9 หลายเดือนก่อน

      @@ajithc5505
      Hi
      vector findPeakGrid(vector &g){
      // Write your code here.
      int rows = g.size();
      int cols = g[0].size();
      int low = 0, high = cols-1;
      while(low max_ele){
      max_ele = g[i][mid];
      index = i;
      }
      }
      int left = mid-1 >= 0 ? g[index][mid-1] : -1;
      int right = mid +1 < cols ? g[index][mid+1] : -1;
      if(max_ele > left && max_ele > right){
      return {index, mid};
      }
      else if(max_ele < g[index][mid-1]){
      high = mid-1;
      }
      else{
      low = mid+1;
      }
      }
      return {-1, -1};
      }
      };
      Though I applied edge cases why I am getting runtime error for this testcase??
      Test case:
      [[10,50,40,30,20],[1,500,2,3,4]]

    • @ParshvaDani
      @ParshvaDani 7 หลายเดือนก่อน

      @@ajithc5505 thanks brother it works now